Obtener reclamaciónes usando el ID del adquirente
curl --request GET \
--url https://e3-kausanna.sonqo.io/claims/acquirer/{acquirerId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://e3-kausanna.sonqo.io/claims/acquirer/{acquirerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://e3-kausanna.sonqo.io/claims/acquirer/{acquirerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "208171594972",
"primaryAccountNumber": "5505********9697",
"origin": "mastercard",
"outcome": "in_progress",
"authCode": "658119",
"flow": {
"currentStep": "SECOND_PRESENTATION_STARTED"
},
"rrn": "08032054026003400006298",
"status": "SECOND_PRESENTATION_STARTED",
"transactionId": "TI:bnMeLTGLm2Q7jllvf_Of6eHBL7Ef6KRkL-uNEUnhyV7Lgb8piMeU5altPIJpo5DKzBzC3ZGZ-1JVkUmA2a4FGkRm4gpibshDMuDAKk6jb6M=##ACQ",
"isOpen": true,
"partnerId": "01HPWX95S4ZNNKPMNKPDKE2E12",
"acquirerId": "032314",
"issuerId": "017670",
"seen": false,
"events": [
{
"name": "CREATED",
"timestamp": "2024-03-05T19:51:58.202Z"
},
{
"name": "SECOND_PRESENTATION_STARTED",
"timestamp": "2024-03-05T19:51:58.202Z"
}
],
"createdAt": "2024-03-05T19:51:58.202Z",
"updatedAt": "2024-03-05T19:54:01.709Z",
"amount": 111916.69,
"currency": "ARS",
"merchant": {
"storeId": "9b7396a2-9e60-4bd0-b2f6-5c4f911167b1",
"ownerId": "2c671a9d-5d66-413e-88b2-aca5c3b6219d",
"name": "Sip smart coffee",
"mcc": "5921",
"taxId": "30123452209",
"taxIdType": "arg.cuit",
"externalPaymentId": "05cfc7cd-6551-44d1-bf02-0d87a151046e",
"contact": {
"email": "No data",
"phone": "No data",
"businessName": "SIPECOFFEE SRL",
"country": "ARG"
},
"address": {
"country": "ARG",
"address": {
"number": "1130",
"notes": "-",
"street": "migueletes"
},
"city": "CIUDAD AUTONOMA BUENOS AIRES",
"name": "Torre Galicia ok",
"id": "35ba1a0c-fb37-41c5-a28d-9208adf4ad9c",
"state": "C",
"zip_code": "C1426BUP"
}
},
"payment": {
"data_privacy": {
"encrypted": {
"data": "x5tZYXEw0Cej9PHEENbigCoFe2wW+B2qXiVnHeWpu9nLcgMIldmAt708raupdppqwTBtrETeatwFPtZEAeh4z6ZPy/FPLGlZ9jWc35R2NH+ZtaOeuxTqPuR2oVcn6u8a7VA19hrbaRT2408b+bpeIfUkC0wrusqDMhVnn4pVrSnl08pyNYyXaDvYllifDE3R61+jzPbSzaVRKJ/C21IF15yIIm48a+D9Pdcxo10S7xNNyy/FjPD0q9u2VONBbruRURvT2RWey8zNMDpASYV/AClmRScyn/r/599kBWNoMnmbTZb08eSYz51eFAzhxq+7CpzRkmsW7o0QrSgLD+c4lg==",
"origin": "non_present"
}
},
"card_method_type": "encrypted",
"card_holder_name": "Eze Calonge",
"wallet_name": "galicia",
"card_holder_doc_type": "DNI",
"type": "card_payment",
"expiration_date": "06/2028",
"card_type": "CREDIT",
"card_holder_email": "[email protected]",
"expiration_year": "2028",
"product_id": "MASTERCARD",
"expiration_month": "06",
"name": "MASTERCARD",
"pan": "550568******6713",
"card_holder_doc_number": "12345678",
"QRName": "bb22707a-457e-4695-a29d-8ed76d4bbe85"
}
}
]
}{
"success": false,
"message": "User not authorized"
}Claims
Listar reclamos por adquirente (acquirerId)
GET
/
claims
/
acquirer
/
{acquirerId}
Obtener reclamaciónes usando el ID del adquirente
Este endpoint permite a los adquirentes poder listar todos sus claims recibidos por el sistema utilizando su
acquirerId.
El acquirerId es un identificador único que se le asigna a cada adquirente, y este se utiliza para poder identificar a que adquirente pertenece cada claim.
Se obtiene utilizando la API Key que se le asigna a cada adquirente al momento de hacer onboarding en nuestro sistema.Authorizations
API Token generated for your account. The token must be prefixed with Bearer.
Path Parameters
Query Parameters
Filtra los reclamos por el campo origin
Available options:
visa, mastercard Filtra los reclamos por el campo status
Número de elementos a devolver por página - por defecto 50 (Máximo 50)
La consulta se realiza desde el ID proporcionado
⌘I

